<?php

namespace gchart;
class gMeterChart extends gChart
{
    
    function __construct($width = 200, $height = 200)
    {
        $this->setDimensions($width, $height);
        $this->setProperty('cht','gom');
    }
    public function getApplicableLabels($labels)
    {
        return array_splice($labels, 0, count($this->values[0]));
    }
    
    public function setLabels($labels)
    {
        $this->setProperty('chl', urlencode($this->encodeData($this->getApplicableLabels($labels),"|")));
    }
}?>
